<nz-card style='width:100%;' [nzBordered]='false' [nzTitle]='mbTitle' [nzExtra]='extra ? tableToolbar : null' class='table-wrap'
         [ngClass]="nonBg ? 'non-background' : ''">
    <p
        *ngIf="currentTableComponent.tableConfig.showSelect && curAmountSelectedRows > 0"
        style="margin-bottom: 0"
    >
        {{'shared.label.selected' | translate}}: {{curAmountSelectedRows}}
    </p>

    <ng-content></ng-content>
</nz-card>

<ng-template #tableToolbar>
    <div style='width: 100%; display: flex; justify-content: end;'>
        <ng-content select='.headerTableSelect'></ng-content>
        <mb-button mbButtonType='NO_BORDER' mbButtonTextColor='#fff'
                   mbButtonBgColor='#141ED2' mbButtonIconType='AWESOME'
                   mbPrefixIcon='fas fa-bars'
                   nz-popover
                   [nzPopoverTitle]='popoverTitle'
                   nzPopoverTrigger='click' (click)='tableConfigVisible = false'
                   [nzPopoverContent]='contentTemplate' [nzPopoverVisible]='tableConfigVisible'
                   nzPopoverPlacement='bottomRight'></mb-button>
    </div>
</ng-template>


<ng-template #contentTemplate>
    <div class='show-column__panel'>
        <ul class='table-wrap__show-column' cdkDropList>
            <li cdkDrag class='flex space-between' style='padding: 4px 16px 8px 0' *ngFor='let item of tableHeaders'>
                <label
                    nz-checkbox
                    [(nzChecked)]="item.show"
                    (nzCheckedChange)='changeSignalCheck($event,item)'
                >
                    <span cdkDragHandle>{{ item.titleTrans }}</span>
                </label>
            </li>
        </ul>
    </div>
</ng-template>


<ng-template #popoverTitle>

    <p><strong>{{ 'common.label.searchField' | translate }}</strong></p>

    <!--Search-->
    <mb-input-text
        [mbMaxLength]='200'
        mbPlaceholderText="-- {{ 'common.label.searchFieldInput' | translate }} --"
        [(ngModel)]='columnSearch' (ngModelChange)='searchColumn()'
        [mbShowFlexEnd]='false'
    >
    </mb-input-text>
    <!--End: Search-->

    <br>

    <nz-space>

        <span *nzSpaceItem>
          <label
              nz-checkbox
              (nzCheckedChange)='changeAllTableTableConfigShow($event)'
              [nzIndeterminate]='allTableFieldIndeterminate'
              [(nzChecked)]='allTableFieldChecked'>{{ 'common.label.chooseAll' | translate }}
          </label>
        </span>

        <mb-button
            *nzSpaceItem
            mbButtonType='NO_BORDER'
            mbButtonTextColor='#fff'
            mbButtonBgColor='#141ED2'
            mbButtonText="{{ 'common.label.resetConfig' | translate}}"
            (click)='reset()'
        ></mb-button>

    </nz-space>

</ng-template>
